net.ME1312.SubServers.Client.Bukkit.Graphic

## Class UIListener

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.UIListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class UIListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`UIListener(SubPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean(org.bukkit.event.player.PlayerQuitEvent event)`
`void` `click(org.bukkit.event.inventory.InventoryClickEvent event)`
`void` `close(org.bukkit.event.inventory.InventoryCloseEvent event)`
`UIRenderer` `getRenderer(org.bukkit.entity.Player player)` Grabs the current UIRenderer for the player
`void` `input(org.bukkit.event.player.PlayerChatEvent event)`
`void` `input(org.bukkit.event.player.PlayerCommandPreprocessEvent event)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UIListener

    public UIListener(SubPlugin plugin)

### Method Detail

#### getRenderer

    public UIRenderer getRenderer(org.bukkit.entity.Player player)

Grabs the current UIRenderer for the player

Parameters:
  `player` - Player
Returns:
  UIRenderer

#### click

    public void click(org.bukkit.event.inventory.InventoryClickEvent event)

#### input

    public void input(org.bukkit.event.player.PlayerChatEvent event)

#### input

    public void input(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

#### close

    public void close(org.bukkit.event.inventory.InventoryCloseEvent event)

#### clean

    public void clean(org.bukkit.event.player.PlayerQuitEvent event)